gnutls_handshake_set_secret_function(3)

NAME
gnutls_handshake_set_secret_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_handshake_set_secret_function(gnutls_session_t session, gnutls_handshake_secret_func func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

gnutls_handshake_secret_func func
    the secret func

DESCRIPTION
This function will set a callback to be called when a new traffic secret is installed.

SINCE
3.7.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/